%define filename	intel-vaapi-driver

Summary:	Is the VA-API implementation for Intel GEN GPUs
Name:		vaapi-driver-intel
Version:	2.4.4
Release:	%mkrel 1
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/irql-notlessorequal/intel-vaapi-driver/
Source0:	https://github.com/irql-notlessorequal/intel-vaapi-driver/archive/refs/tags/%{version}/%{filename}-%{version}.tar.gz
#
BuildRequires:	intel-gpu-tools
BuildRequires:	ninja
BuildRequires:	pkgconfig(libva) >= 1.6.0
BuildRequires:	pkgconfig(libva-drm)
BuildRequires:	pkgconfig(libva-wayland)
BuildRequires:	pkgconfig(libva-x11)
BuildRequires:	wayland-tools
BuildRequires:	meson
Provides:	%{filename} = %{version}-%{release}
ExclusiveArch:	%{ix86} x86_64

%description
Libva-driver-intel is the VA-API implementation for Intel GEN Graphics family.
The current video driver back-end provides a bridge to the GEN GPUs through the
packaging of buffers and commands to be sent to the i915 driver for exercising
both hardware and shader functionality for video decode, encode, and processing.

%prep
%setup -q -n %{filename}-%{version}
%autopatch -p1

%build
%meson \
	-Denable_hybrid_codec=true \
	-Denable_tests=true \
	-Dwith_wayland=yes \
	-Dwith_x11=yes
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc NEWS
%{_libdir}/dri/*_drv_video.so
